"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalendarDay = void 0;
const isSameDay_1 = require("date-fns/isSameDay");
const isSameMonth_1 = require("date-fns/isSameMonth");
/** Represent the day displayed in the Day grid cell. */
class CalendarDay {
    constructor(date, displayMonth) {
        this.date = date;
        this.displayMonth = displayMonth;
        this.outside = Boolean(displayMonth && !(0, isSameMonth_1.isSameMonth)(date, displayMonth));
    }
    /**
     * Check if the day is the same as the given day: considering if it is in the
     * same display month.
     */
    isEqualTo(day) {
        return ((0, isSameDay_1.isSameDay)(day.date, this.date) &&
            (0, isSameMonth_1.isSameMonth)(day.displayMonth, this.displayMonth));
    }
}
exports.CalendarDay = CalendarDay;
//# sourceMappingURL=CalendarDay.js.map