import React from "react";
import type { CalendarMonth } from "../classes";
/**
 * Render the dropdowns to navigate between months.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export declare function DropdownNav(props: {
    /** The month where the dropdown navigation is displayed. */
    month: CalendarMonth;
    /** Whether the user can change the month. */
    showMonths?: boolean;
    /** Whether the user can change the year. */
    showYears?: boolean;
    /** The index where this month is displayed. */
    index: number;
}): React.JSX.Element;
export type DropdownNavProps = Parameters<typeof DropdownNav>[0];
