"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownNav = void 0;
const react_1 = __importDefault(require("react"));
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
const MonthsDropdown_1 = require("./MonthsDropdown");
const YearsDropdown_1 = require("./YearsDropdown");
/**
 * Render the dropdowns to navigate between months.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function DropdownNav(props) {
    const { classNames, styles } = (0, props_1.useProps)();
    return (react_1.default.createElement("div", { className: classNames[UI_1.UI.DropdownNav], style: styles?.[UI_1.UI.DropdownNav] },
        props.showMonths && react_1.default.createElement(MonthsDropdown_1.MonthsDropdown, { month: props.month }),
        props.showYears && react_1.default.createElement(YearsDropdown_1.YearsDropdown, { month: props.month })));
}
exports.DropdownNav = DropdownNav;
//# sourceMappingURL=DropdownNav.js.map