"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Month = void 0;
const react_1 = __importStar(require("react"));
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
const MonthCaption_1 = require("./MonthCaption");
const Week_1 = require("./Week");
const Weekdays_1 = require("./Weekdays");
/**
 * Render the grid with the weekday header row and the weeks for the given
 * month.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Month(props) {
    const { id, mode, hideWeekdayRow, components, classNames, styles } = (0, props_1.useProps)();
    const reactId = (0, react_1.useId)();
    const captionId = id ? `${id}-caption-${props.index}` : reactId;
    const gridId = id ? `${id}-grid-${props.index}` : reactId;
    const Weekdays = components?.Weekdays ?? Weekdays_1.Weekdays;
    const MonthCaption = components?.MonthCaption ?? MonthCaption_1.MonthCaption;
    const Week = components?.Week ?? Week_1.Week;
    return (react_1.default.createElement("div", { className: classNames[UI_1.UI.MonthWrapper], style: styles?.[UI_1.UI.MonthWrapper] },
        react_1.default.createElement(MonthCaption, { id: captionId, month: props.month, index: props.index }),
        react_1.default.createElement("div", { id: gridId, role: "grid", "aria-multiselectable": mode === "multiple" || mode === "range", "aria-labelledby": captionId, className: classNames[UI_1.UI.Month], style: styles?.[UI_1.UI.Month] },
            react_1.default.createElement(Weekdays, null),
            react_1.default.createElement("div", { role: "rowgroup", className: classNames[UI_1.UI.Weeks], style: styles?.[UI_1.UI.Weeks] }, props.month.weeks.map((week, i) => (react_1.default.createElement(Week, { key: week.weekNumber, week: week, "aria-rowindex": i + (hideWeekdayRow ? 1 : 2) })))))));
}
exports.Month = Month;
//# sourceMappingURL=Month.js.map