import React from "react";
import type { CalendarMonth } from "../classes";
/**
 * Render the caption of a month in the calendar.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export declare function MonthCaption(props: {
    /** The month where the grid is displayed. */
    month: CalendarMonth;
    /** Used for the aria-label. */
    id: string;
    /** The index where this month is displayed. */
    index: number;
}): React.JSX.Element;
export type MonthCaptionProps = Parameters<typeof MonthCaption>[0];
