"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MonthCaption = void 0;
const react_1 = __importDefault(require("react"));
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
const DropdownNav_1 = require("./DropdownNav");
/**
 * Render the caption of a month in the calendar.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function MonthCaption(props) {
    const { classNames, captionLayout, formatters: { formatCaption }, labels: { labelCaption }, locale, styles } = (0, props_1.useProps)();
    return (react_1.default.createElement("div", { id: props.id, className: classNames[UI_1.UI.MonthCaption], style: styles?.[UI_1.UI.MonthCaption] }, captionLayout?.startsWith("dropdown") ? (react_1.default.createElement(DropdownNav_1.DropdownNav, { month: props.month, index: props.index, showMonths: captionLayout === "dropdown" || captionLayout === "dropdown-months", showYears: captionLayout === "dropdown" || captionLayout === "dropdown-years" })) : (react_1.default.createElement("span", { className: classNames[UI_1.UI.CaptionLabel], role: "status", "aria-live": "polite", "aria-label": labelCaption(props.month.date, { locale }) ?? undefined }, formatCaption(props.month.date, { locale })))));
}
exports.MonthCaption = MonthCaption;
//# sourceMappingURL=MonthCaption.js.map