"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Week = void 0;
const react_1 = __importDefault(require("react"));
const getUnixTime_1 = require("date-fns/getUnixTime");
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
const DayWrapper_1 = require("./DayWrapper");
const WeekNumber_1 = require("./WeekNumber");
/**
 * Render a row in the calendar, with the days and the week number.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Week(props) {
    const { styles, classNames, showWeekNumber, components } = (0, props_1.useProps)();
    const WeekNumber = components?.WeekNumber ?? WeekNumber_1.WeekNumber;
    return (react_1.default.createElement("div", { role: "row", "aria-rowindex": props["aria-rowindex"], className: classNames[UI_1.UI.Week], style: styles?.[UI_1.UI.Week] },
        showWeekNumber && react_1.default.createElement(WeekNumber, { week: props.week }),
        props.week.days.map((day, i) => (react_1.default.createElement(DayWrapper_1.DayWrapper, { day: day, "aria-colindex": showWeekNumber ? i + 2 : i + 1, key: (0, getUnixTime_1.getUnixTime)(day.date) })))));
}
exports.Week = Week;
//# sourceMappingURL=Week.js.map