"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WeekNumber = void 0;
const react_1 = __importDefault(require("react"));
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
/**
 * Render the cell with the number of the week.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function WeekNumber(props) {
    const { classNames, formatters: { formatWeekNumber }, labels: { labelWeekNumber }, locale, styles, onWeekNumberClick } = (0, props_1.useProps)();
    const isInteractive = Boolean(onWeekNumberClick);
    return (react_1.default.createElement("div", { role: "rowheader", "aria-colindex": 1, "aria-label": labelWeekNumber(props.week.weekNumber, { locale }), className: [
            classNames[UI_1.UI.WeekNumber],
            isInteractive ? classNames[UI_1.WeekNumberFlag.isInteractive] : ""
        ].join(" "), style: styles?.[UI_1.UI.WeekNumber], tabIndex: isInteractive ? 0 : undefined, onClick: (e) => onWeekNumberClick?.(props.week.weekNumber, props.week.days.map((day) => day.date), e) }, formatWeekNumber(props.week.weekNumber, { locale })));
}
exports.WeekNumber = WeekNumber;
//# sourceMappingURL=WeekNumber.js.map