"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Weekdays = void 0;
const react_1 = __importDefault(require("react"));
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
const getWeekdays_1 = require("../helpers/getWeekdays");
const Weekday_1 = require("./Weekday");
/**
 * Render the row with the weekday names.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Weekdays() {
    const { classNames, components, hideWeekdayRow, ISOWeek, locale, showWeekNumber, styles, weekStartsOn } = (0, props_1.useProps)();
    const weekdays = (0, getWeekdays_1.getWeekdays)(locale, weekStartsOn, ISOWeek);
    const Weekday = components?.Weekday ?? Weekday_1.Weekday;
    return (react_1.default.createElement("div", { role: "row", hidden: hideWeekdayRow, "aria-rowindex": 1, style: styles?.[UI_1.UI.Weekdays], className: classNames[UI_1.UI.Weekdays], onClick: (e) => e.stopPropagation() },
        showWeekNumber && react_1.default.createElement(Weekday, { "aria-colindex": 1 }),
        weekdays.map((weekday, i) => (react_1.default.createElement(Weekday, { key: i, weekday: weekday, "aria-colindex": showWeekNumber ? i + 2 : i + 1 })))));
}
exports.Weekdays = Weekdays;
//# sourceMappingURL=Weekdays.js.map