"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextProviders = void 0;
const react_1 = __importDefault(require("react"));
const calendar_1 = require("./calendar");
const focus_1 = require("./focus");
const modifiers_1 = require("./modifiers");
const props_1 = require("./props");
const selection_1 = require("./selection");
/**
 * Provide the value for all the contexts used by DayPicker.
 *
 * @private
 */
const ContextProviders = (props) => {
    const { children, ...dayPickerProps } = props;
    return (react_1.default.createElement(props_1.PropsProvider, { ...dayPickerProps },
        react_1.default.createElement(calendar_1.CalendarProvider, null,
            react_1.default.createElement(selection_1.SelectionProvider, null,
                react_1.default.createElement(modifiers_1.ModifiersProvider, null,
                    react_1.default.createElement(focus_1.FocusProvider, null, children))))));
};
exports.ContextProviders = ContextProviders;
//# sourceMappingURL=root.js.map