"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getClassNamesForModifiers = void 0;
const UI_1 = require("../UI");
function getClassNamesForModifiers(dayModifiers, modifiersClassNames, classNames) {
    const modifierClassNames = Object.entries(dayModifiers)
        .filter(([, active]) => active === true)
        .reduce((previousValue, [key]) => {
        if (modifiersClassNames[key]) {
            previousValue.push(modifiersClassNames[key]);
        }
        else if (classNames[UI_1.DayModifier[key]]) {
            previousValue.push(classNames[UI_1.DayModifier[key]]);
        }
        return previousValue;
    }, []);
    return modifierClassNames;
}
exports.getClassNamesForModifiers = getClassNamesForModifiers;
//# sourceMappingURL=getClassNamesForModifiers.js.map