"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDropdownYears = void 0;
const addYears_1 = require("date-fns/addYears");
const endOfYear_1 = require("date-fns/endOfYear");
const isBefore_1 = require("date-fns/isBefore");
const isSameYear_1 = require("date-fns/isSameYear");
const startOfYear_1 = require("date-fns/startOfYear");
/** Return the years to show in the dropdown. */
function getDropdownYears(dayPicker) {
    if (!dayPicker.fromDate)
        return undefined;
    if (!dayPicker.toDate)
        return undefined;
    const firstNavYear = (0, startOfYear_1.startOfYear)(dayPicker.fromDate);
    const lastNavYear = (0, endOfYear_1.endOfYear)(dayPicker.toDate);
    const years = [];
    let year = firstNavYear;
    while ((0, isBefore_1.isBefore)(year, lastNavYear) || (0, isSameYear_1.isSameYear)(year, lastNavYear)) {
        years.push(year.getFullYear());
        year = (0, addYears_1.addYears)(year, 1);
    }
    return years.map((year) => [
        year,
        dayPicker.formatters.formatYearDropdown(year)
    ]);
}
exports.getDropdownYears = getDropdownYears;
//# sourceMappingURL=getDropdownYears.js.map