"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMonthWeeks = void 0;
const date_fns_1 = require("date-fns");
const daysToMonthWeeks_1 = require("./daysToMonthWeeks");
/**
 * Return the weeks belonging to the given month, adding the "outside days" to
 * the first and last week.
 */
function getMonthWeeks(month, options) {
    const weeksInMonth = (0, daysToMonthWeeks_1.daysToMonthWeeks)((0, date_fns_1.startOfMonth)(month), (0, date_fns_1.endOfMonth)(month), options);
    if (options?.useFixedWeeks) {
        // Add extra weeks to the month, up to 6 weeks
        const nrOfMonthWeeks = (0, date_fns_1.getWeeksInMonth)(month, options);
        if (nrOfMonthWeeks < 6) {
            const lastWeek = weeksInMonth[weeksInMonth.length - 1];
            const lastDate = lastWeek.dates[lastWeek.dates.length - 1];
            const toDate = (0, date_fns_1.addWeeks)(lastDate, 6 - nrOfMonthWeeks);
            const extraWeeks = (0, daysToMonthWeeks_1.daysToMonthWeeks)((0, date_fns_1.addWeeks)(lastDate, 1), toDate, options);
            weeksInMonth.push(...extraWeeks);
        }
    }
    return weeksInMonth;
}
exports.getMonthWeeks = getMonthWeeks;
//# sourceMappingURL=getMonthWeeks.js.map