"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWeekdays = void 0;
const addDays_1 = require("date-fns/addDays");
const startOfISOWeek_1 = require("date-fns/startOfISOWeek");
const startOfWeek_1 = require("date-fns/startOfWeek");
/**
 * Generate a series of 7 days, starting from the week, to use for formatting
 * the weekday names (Monday, Tuesday, etc.).
 */
function getWeekdays(locale, 
/** The index of the first day of the week (0 - Sunday). */
weekStartsOn, 
/** Use ISOWeek instead of locale/ */
ISOWeek) {
    const start = ISOWeek
        ? (0, startOfISOWeek_1.startOfISOWeek)(new Date())
        : (0, startOfWeek_1.startOfWeek)(new Date(), { locale, weekStartsOn });
    const days = [];
    for (let i = 0; i < 7; i++) {
        const day = (0, addDays_1.addDays)(start, i);
        days.push(day);
    }
    return days;
}
exports.getWeekdays = getWeekdays;
//# sourceMappingURL=getWeekdays.js.map