"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDateInRange = void 0;
const differenceInCalendarDays_1 = require("date-fns/differenceInCalendarDays");
const isSameDay_1 = require("date-fns/isSameDay");
/**
 * Determines whether a given date is inside a specified date range.
 *
 * @group Utilities
 */
function isDateInRange(date, range) {
    let { from, to } = range;
    if (from && to) {
        const isRangeInverted = (0, differenceInCalendarDays_1.differenceInCalendarDays)(to, from) < 0;
        if (isRangeInverted) {
            [from, to] = [to, from];
        }
        const isInRange = (0, differenceInCalendarDays_1.differenceInCalendarDays)(date, from) >= 0 &&
            (0, differenceInCalendarDays_1.differenceInCalendarDays)(to, date) >= 0;
        return isInRange;
    }
    if (to) {
        return (0, isSameDay_1.isSameDay)(to, date);
    }
    if (from) {
        return (0, isSameDay_1.isSameDay)(from, date);
    }
    return false;
}
exports.isDateInRange = isDateInRange;
//# sourceMappingURL=isDateInRange.js.map