"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDayOfWeekType = exports.isDateBeforeType = exports.isDateAfterType = exports.isDateRange = exports.isDateInterval = void 0;
/**
 * Returns true if `matcher` is of type `DateInterval`.
 *
 * @group Utilities
 */
function isDateInterval(matcher) {
    return Boolean(matcher &&
        typeof matcher === "object" &&
        "before" in matcher &&
        "after" in matcher);
}
exports.isDateInterval = isDateInterval;
/**
 * Returns true if `value` is a `DateRange` type.
 *
 * @group Utilities
 */
function isDateRange(value) {
    return Boolean(value && typeof value === "object" && "from" in value);
}
exports.isDateRange = isDateRange;
/**
 * Returns true if `value` is of type `DateAfter`.
 *
 * @group Utilities
 */
function isDateAfterType(value) {
    return Boolean(value && typeof value === "object" && "after" in value);
}
exports.isDateAfterType = isDateAfterType;
/**
 * Returns true if `value` is of type `DateBefore`.
 *
 * @group Utilities
 */
function isDateBeforeType(value) {
    return Boolean(value && typeof value === "object" && "before" in value);
}
exports.isDateBeforeType = isDateBeforeType;
/**
 * Returns true if `value` is a `DayOfWeek` type.
 *
 * @group Utilities
 */
function isDayOfWeekType(value) {
    return Boolean(value && typeof value === "object" && "dayOfWeek" in value);
}
exports.isDayOfWeekType = isDayOfWeekType;
//# sourceMappingURL=typeguards.js.map