import React from "react";
import { UI } from "../UI";
import { useProps } from "../contexts/props";
import { MonthsDropdown } from "./MonthsDropdown";
import { YearsDropdown } from "./YearsDropdown";
/**
 * Render the dropdowns to navigate between months.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export function DropdownNav(props) {
    const { classNames, styles } = useProps();
    return (React.createElement("div", { className: classNames[UI.DropdownNav], style: styles?.[UI.DropdownNav] },
        props.showMonths && React.createElement(MonthsDropdown, { month: props.month }),
        props.showYears && React.createElement(YearsDropdown, { month: props.month })));
}
//# sourceMappingURL=DropdownNav.js.map