import React from "react";
import { CalendarProvider } from "./calendar";
import { FocusProvider } from "./focus";
import { ModifiersProvider } from "./modifiers";
import { PropsProvider } from "./props";
import { SelectionProvider } from "./selection";
/**
 * Provide the value for all the contexts used by DayPicker.
 *
 * @private
 */
export const ContextProviders = (props) => {
    const { children, ...dayPickerProps } = props;
    return (React.createElement(PropsProvider, { ...dayPickerProps },
        React.createElement(CalendarProvider, null,
            React.createElement(SelectionProvider, null,
                React.createElement(ModifiersProvider, null,
                    React.createElement(FocusProvider, null, children))))));
};
//# sourceMappingURL=root.js.map