import type { DayPickerProps, Mode } from "../types";
/**
 * Return all the dates to display in the calendar.
 *
 * @param firstMonth The first month of the calendar
 * @param lastMonth The last month of the calendar
 * @param maxDate The date to end the calendar at
 * @param options Options for the calendar
 * @param options.ISOWeek Whether or not to use ISOWeek
 * @param options.fixedWeeks Whether or not to use fixed weeks
 * @param options.locale The locale to use
 * @param options.weekStartsOn The day the week starts on
 */
export declare function getDates(displayMonths: Date[], maxDate?: Date | undefined, options?: Pick<DayPickerProps<Mode>, "ISOWeek" | "fixedWeeks" | "locale" | "weekStartsOn">): Date[];
