import { addMonths } from "date-fns/addMonths";
import { isBefore } from "date-fns/isBefore";
import { startOfMonth } from "date-fns/startOfMonth";
/** Return the months to show in the dropdown. */
export function getDropdownMonths(props) {
    if (!props.fromDate)
        return undefined;
    if (!props.toDate)
        return undefined;
    const navStartMonth = startOfMonth(props.fromDate);
    const navEndMonth = startOfMonth(props.toDate);
    const months = [];
    let month = navStartMonth;
    while (months.length < 12 && isBefore(month, addMonths(navEndMonth, 1))) {
        months.push(month.getMonth());
        month = addMonths(month, 1);
    }
    const sortedMonths = months.sort((a, b) => {
        return a - b;
    });
    const options = sortedMonths.map((m) => {
        const label = props.formatters.formatMonthDropdown(m, props.locale);
        const option = [m, label];
        return option;
    });
    return options;
}
//# sourceMappingURL=getDropdownMonths.js.map