import { addYears } from "date-fns/addYears";
import { endOfYear } from "date-fns/endOfYear";
import { isBefore } from "date-fns/isBefore";
import { isSameYear } from "date-fns/isSameYear";
import { startOfYear } from "date-fns/startOfYear";
/** Return the years to show in the dropdown. */
export function getDropdownYears(dayPicker) {
    if (!dayPicker.fromDate)
        return undefined;
    if (!dayPicker.toDate)
        return undefined;
    const firstNavYear = startOfYear(dayPicker.fromDate);
    const lastNavYear = endOfYear(dayPicker.toDate);
    const years = [];
    let year = firstNavYear;
    while (isBefore(year, lastNavYear) || isSameYear(year, lastNavYear)) {
        years.push(year.getFullYear());
        year = addYears(year, 1);
    }
    return years.map((year) => [
        year,
        dayPicker.formatters.formatYearDropdown(year)
    ]);
}
//# sourceMappingURL=getDropdownYears.js.map