/**
 * Return the next month the user can navigate to according to the given
 * options.
 *
 * Please note that the next month is not always the next calendar month:
 *
 * - If after the `toDate` range, is `undefined`;
 * - If the navigation is paged , is the number of months displayed ahead.
 */
export declare function getNextMonth(firstMonth: Date, options: {
    numberOfMonths?: number;
    fromDate?: Date;
    toDate?: Date;
    pagedNavigation?: boolean;
    today?: Date;
    disableNavigation?: boolean;
}): Date | undefined;
