import type { DateAfter, DateBefore, DateInterval, DateRange, DayOfWeek } from "../types";
/**
 * Returns true if `matcher` is of type `DateInterval`.
 *
 * @group Utilities
 */
export declare function isDateInterval(matcher: unknown): matcher is DateInterval;
/**
 * Returns true if `value` is a `DateRange` type.
 *
 * @group Utilities
 */
export declare function isDateRange(value: unknown): value is DateRange;
/**
 * Returns true if `value` is of type `DateAfter`.
 *
 * @group Utilities
 */
export declare function isDateAfterType(value: unknown): value is DateAfter;
/**
 * Returns true if `value` is of type `DateBefore`.
 *
 * @group Utilities
 */
export declare function isDateBeforeType(value: unknown): value is DateBefore;
/**
 * Returns true if `value` is a `DayOfWeek` type.
 *
 * @group Utilities
 */
export declare function isDayOfWeekType(value: unknown): value is DayOfWeek;
